[dpdk-dev] [PATCH 1/1] devtools: adjust verbosity of ABI check

David Marchand david.marchand at redhat.com
Tue Dec 8 16:31:54 CET 2020


On Mon, Dec 7, 2020 at 6:33 PM Thomas Monjalon <thomas at monjalon.net> wrote:
> diff --git a/devtools/check-abi.sh b/devtools/check-abi.sh
> index ab6748cfbc..381db2cdd1 100755
> --- a/devtools/check-abi.sh
> +++ b/devtools/check-abi.sh

[snip]

> @@ -46,23 +46,24 @@ for dump in $(find $refdir -name "*.dump"); do
>         fi
>         dump2=$(find $newdir -name $name)
>         if [ -z "$dump2" ] || [ ! -e "$dump2" ]; then
> -               echo "Error: can't find $name in $newdir"
> +               echo "Error: cannot find $name in $newdir" >&2
>                 error=1
>                 continue
>         fi
> +       echo abidiff $ABIDIFF_OPTIONS $dump $dump2

On error, this same command is repeated below, so I don't see the need
for this new debug message.


>         abidiff $ABIDIFF_OPTIONS $dump $dump2 || {
>                 abiret=$?
> -               echo "Error: ABI issue reported for 'abidiff $ABIDIFF_OPTIONS $dump $dump2'"
> +               echo "Error: ABI issue reported for 'abidiff $ABIDIFF_OPTIONS $dump $dump2'" >&2
>                 error=1
>                 echo


-- 
David Marchand



More information about the dev mailing list